% rand_gauss
%
% Verrauschen eines Vektors mit entsprechender Kovarianzmatrix unter
% Beachtung der Korrelationen
% Erweiterung: Beachte Singularitt von Cll
% 
% Mu  = Mittelwertvektor
% C   = Covarianzmatrix
% n   = Anzahl Vektoren
%
% ret = rand_gauss(Mu, C, n)
%
% @author Richard Steffen


function ret = rand_gauss(Mu, Cll, n)
    
    % Zerlegung in eigenvectoren und eigenwerte
    [R,S] = eig(full(Cll));   
    % Eigenvectoren scalieren mit eigenwerten
    A = R .* repmat(sqrt(abs(diag(S)))',length(S),1);
	ret = repmat(Mu,1,n) + A*randn(length(Mu),n);
  
return;
